import request from '/@/utils/request';

export function emergencySuppliesApi(){
    return{
        // 应急物资一览
        getEmergencySuppliesList:(params:object)=>{
            return request({
                url:"/emergencySupplies/page/list",
                method:'post',
                data:params,
            });
        },
        // 应急物资新增
        addEmergencySupplies:(params:object)=>{
            return request({
                url:"/emergencySupplies/add",
                method:"post",
                data:params
            })
        },
        // 应急物资详情
        seeEmergencySupplies: (params:number) => {
            return request({
                url: `/emergencySupplies/info/${params}`,
                method: 'get'
            });
        },
        // 应急物资编辑
        editEmergencySupplies: (params: object) => {
            return request({
                url: `/emergencySupplies/update`,
                method: 'post',
                data: params
            });
        },
        // 应急物资删除
        deleteEmergencySupplies: (params:object) => {
            return request({
                url: `/emergencySupplies/batchDelete/${params}`,
                method: 'get',
            });
        },
    }
}